Debian Bug report logs - #451130
cdebconf deb does not initalise the template database, which is needed to work out of the box

version graph

Package: cdebconf; Maintainer for cdebconf is Debian Install System Team <debian-boot@lists.debian.org>; Source for cdebconf is src:cdebconf.

Reported by: Neil Williams <codehelp@debian.org>

Date: Tue, 13 Nov 2007 15:39:01 UTC

Severity: wishlist

Tags: patch

Fixed in version cdebconf/0.157

Done: Regis Boudin <regis@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#451130; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
New Bug report received and forwarded. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debconf: Please split out a debconf-shell package to support cdebconf usage [cross-built]
Date: Tue, 13 Nov 2007 15:35:37 +0000
Package: debconf
Version: 1.5.17
Severity: wishlist

This is part of the long term mass bug filing for cross build support:
http://lists.debian.org/debian-devel/2007/11/msg00116.html

No patch this time, as I'm not sure how debconf would actually fit these
changes into the Debian package.

Emdebian is using cdebconf and removing perl from 'Essential' so there
is no place for debconf as-is. Unfortunately, cdebconf is not complete
when used alone; two problems exist.

1. cdebconf wants /usr/share/debconf/confmodule

2. cdebconf does not initialise the debconf template database.

Emdebian is working around this by creating a 'debconf-shell' package
that includes:
drwxr-xr-x root/root         0 ./
drwxr-xr-x root/root         0 ./usr/
drwxr-xr-x root/root         0 ./usr/share/
drwxr-xr-x root/root         0 ./usr/share/debconf/
-rw-r--r-- root/root      2577 ./usr/share/debconf/confmodule
-rwxr-xr-x root/root      1844 ./usr/share/debconf/demo
-rw-r--r-- root/root      5174 ./usr/share/debconf/demo.templates

Described as:
 Package: debconf-shell
 Source: debconf
 Version: 1.5.17em1
 Architecture: all
 Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
 Installed-Size: 48
 Depends: cdebconf
 Section: devel
 Priority: extra
 Description: debconf confmodule shell library
  This package contains the usr/share/debconf/confmodule shell
  library to retrieve debconf values without perl.
  .
  It also bypasses the DEBCONF_USE_CDEBCONF
  environment variable which can be problematic
  during installations.

(You can ignore the em1 suffix to the version string, that just helps
Emdebian separate our packages from Debian test builds from the same
source.)

Note that Emdebian does not use 'Essential:' at all and I have no
preference for whether this package should be essential - Emdebian will
throw away the 'Essential:' tag anyway. However, if this new package
were to become the home of /usr/share/debconf/confmodule in Debian
(as would probably be necessary), it would probably need the same
Priority etc. as debconf itself.

I am using this postinst for debconf-shell:
#!/bin/sh
set -e

if [ "$1" = configure ]; then
        export DEBCONF_USE_CDEBCONF=true
        # emdebian initialise database with demo templates.
        /usr/lib/cdebconf/debconf-loadtemplate /usr/share/debconf/demo
/usr/share/debconf/demo.templates 
fi

#DEBHELPER#


This works for us. (TM)
:-)

The demo template produces a bit of unwanted output so there may be a
smoother way of initialising the template database without output and
that would be useful.

I was also wondering if this could be a new *source* package as well as
a new binary because then Emdebian would not need to patch out 90% of
the existing debconf debian/* content to build debconf-shell. (why
cross-build perl to cross-build debconf when Emdebian won't be using 
either perl or debconf?)

Alternatively, maybe these changes need to be migrated from debconf into
cdebconf? (One less package for me to cross build.)


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.22-2-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages debconf depends on:
ii  debconf-i18n                  1.5.17     full internationalization support 
ii  perl-base                     5.8.8-11.1 The Pathologically Eclectic Rubbis

Versions of packages debconf recommends:
ii  apt-utils                     0.7.9      APT utility programs

-- debconf information:
  debconf-apt-progress/title:
  debconf-apt-progress/info:
* debconf/priority: medium
  debconf-apt-progress/preparing:
  debconf-apt-progress/media-change:
* debconf/frontend: Gnome




Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#451130; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 451130@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Neil Williams <codehelp@debian.org>, 451130@bugs.debian.org
Subject: Re: [Debconf-devel] Bug#451130: debconf: Please split out a debconf-shell package to support cdebconf usage [cross-built]
Date: Tue, 13 Nov 2007 13:13:05 -0500
[Message part 1 (text/plain, inline)]
Neil Williams wrote:
> 1. cdebconf wants /usr/share/debconf/confmodule

cdebconf contains its own version of this in its source. It's not
identical to debconf's, since cdebconf supports several extended commands
not implemented in debconf.

> 2. cdebconf does not initialise the debconf template database.

Yes, that is apparently a cdebconf bug, I documented it a while ago in
#328498, though perhaps it should have its own bug report.


I don't see splitting a package out of debconf to deal with these issues
as a very good way forward. #328498 tracks the transition to cdebconf,
and we're really quite close, only a few inompatabilities and bugs need
to be fixed before a version of cdebconf could be uploaded that
conflicts with debconf and works without DEBCONF_USE_CDEBCONF being set.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#451130; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 451130@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Joey Hess <joeyh@debian.org>
Cc: 451130@bugs.debian.org
Subject: Re: [Debconf-devel] Bug#451130: debconf: Please split out a debconf-shell package to support cdebconf usage [cross-built]
Date: Tue, 13 Nov 2007 20:32:35 +0000
[Message part 1 (text/plain, inline)]
On Tue, 13 Nov 2007 13:13:05 -0500
Joey Hess <joeyh@debian.org> wrote:

> Neil Williams wrote:
> > 1. cdebconf wants /usr/share/debconf/confmodule
> 
> cdebconf contains its own version of this in its source. It's not
> identical to debconf's, since cdebconf supports several extended commands
> not implemented in debconf.

I wondered about that - it was moved into usr/share/cdebconf/ some time
ago so I guess Emdebian can patch cdebconf to put it back into
usr/share/debconf/

> > 2. cdebconf does not initialise the debconf template database.
> 
> Yes, that is apparently a cdebconf bug, I documented it a while ago in
> #328498, though perhaps it should have its own bug report.

maybe retitle this one...

I certainly wasn't able to install a cdebconf-based system without the
postinst workaround from 'debconf-shell'.

I don't mind if there is no split - just as long as cdebconf is usable
on a system that has never run (nor can ever run) debconf itself.

> I don't see splitting a package out of debconf to deal with these issues
> as a very good way forward. #328498 tracks the transition to cdebconf,
> and we're really quite close, only a few inompatabilities and bugs need
> to be fixed before a version of cdebconf could be uploaded that
> conflicts with debconf and works without DEBCONF_USE_CDEBCONF being set.

So does that remap /usr/share/debconf/confmodule
to /usr/share/cdebconf/confmodule or use a symlink ?

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#451130; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 451130@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Neil Williams <codehelp@debian.org>
Cc: 451130@bugs.debian.org
Subject: Re: [Debconf-devel] Bug#451130: debconf: Please split out a debconf-shell package to support cdebconf usage [cross-built]
Date: Tue, 13 Nov 2007 15:57:10 -0500
[Message part 1 (text/plain, inline)]
Neil Williams wrote:
> maybe retitle this one...

yes

> > I don't see splitting a package out of debconf to deal with these issues
> > as a very good way forward. #328498 tracks the transition to cdebconf,
> > and we're really quite close, only a few inompatabilities and bugs need
> > to be fixed before a version of cdebconf could be uploaded that
> > conflicts with debconf and works without DEBCONF_USE_CDEBCONF being set.
> 
> So does that remap /usr/share/debconf/confmodule
> to /usr/share/cdebconf/confmodule or use a symlink ?

DEBCONF_USE_CDEBCONF doesn't, the two files are close enough that
cdebconf can use debconf's. A cdebconf that conflicted with debconf
would ship its own version of the confmodule.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `cdebconf deb does not initalise the template database, which is needed to work out of the box' from `debconf: Please split out a debconf-shell package to support cdebconf usage [cross-built]'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Tue, 13 Nov 2007 21:09:02 GMT) Full text and rfc822 format available.

Bug reassigned from package `debconf' to `cdebconf'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Tue, 13 Nov 2007 21:09:03 GMT) Full text and rfc822 format available.

Blocking bugs of 328498 added: 451130 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Tue, 13 Nov 2007 21:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#451130; Package cdebconf. (Tue, 14 Jun 2011 22:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Regis Boudin <regis@boudin.name>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 14 Jun 2011 22:36:03 GMT) Full text and rfc822 format available.

Message #31 received at 451130@bugs.debian.org (full text, mbox):

From: Regis Boudin <regis@boudin.name>
To: 451130@bugs.debian.org
Cc: control <control@bugs.debian.org>
Subject: Patch suggestion
Date: Tue, 14 Jun 2011 23:32:44 +0100
[Message part 1 (text/plain, inline)]
tag 451130 patch
thanks

Hi,

Keeping up with things, here is a relatively simple patch. If the
opening of a template or config database file fails with ENOENT, it
tries to open it for writing and close it. In case of success, it
returns the operation as having succeeded (no point trying reading any
data at that point, the file is empty anyway).

As usual, any comment or feedback to help getting the patch applied
would be more than welcome.

Regis
[fix_451130.patch (text/x-patch, attachment)]

Added tag(s) patch. Request was from Regis Boudin <regis@boudin.name> to control@bugs.debian.org. (Tue, 14 Jun 2011 22:36:04 GMT) Full text and rfc822 format available.

Reply sent to Regis Boudin <regis@debian.org>:
You have taken responsibility. (Wed, 10 Aug 2011 18:36:08 GMT) Full text and rfc822 format available.

Notification sent to Neil Williams <codehelp@debian.org>:
Bug acknowledged by developer. (Wed, 10 Aug 2011 18:36:09 GMT) Full text and rfc822 format available.

Message #38 received at 451130-close@bugs.debian.org (full text, mbox):

From: Regis Boudin <regis@debian.org>
To: 451130-close@bugs.debian.org
Subject: Bug#451130: fixed in cdebconf 0.157
Date: Wed, 10 Aug 2011 18:32:17 +0000
Source: cdebconf
Source-Version: 0.157

We believe that the bug you reported is fixed in the latest version of
cdebconf, which is due to be installed in the Debian FTP archive:

cdebconf-gtk-udeb_0.157_amd64.udeb
  to main/c/cdebconf/cdebconf-gtk-udeb_0.157_amd64.udeb
cdebconf-gtk_0.157_amd64.deb
  to main/c/cdebconf/cdebconf-gtk_0.157_amd64.deb
cdebconf-newt-udeb_0.157_amd64.udeb
  to main/c/cdebconf/cdebconf-newt-udeb_0.157_amd64.udeb
cdebconf-priority_0.157_all.udeb
  to main/c/cdebconf/cdebconf-priority_0.157_all.udeb
cdebconf-text-udeb_0.157_amd64.udeb
  to main/c/cdebconf/cdebconf-text-udeb_0.157_amd64.udeb
cdebconf-udeb_0.157_amd64.udeb
  to main/c/cdebconf/cdebconf-udeb_0.157_amd64.udeb
cdebconf_0.157.dsc
  to main/c/cdebconf/cdebconf_0.157.dsc
cdebconf_0.157.tar.gz
  to main/c/cdebconf/cdebconf_0.157.tar.gz
cdebconf_0.157_amd64.deb
  to main/c/cdebconf/cdebconf_0.157_amd64.deb
libdebconfclient0-dev_0.157_amd64.deb
  to main/c/cdebconf/libdebconfclient0-dev_0.157_amd64.deb
libdebconfclient0-udeb_0.157_amd64.udeb
  to main/c/cdebconf/libdebconfclient0-udeb_0.157_amd64.udeb
libdebconfclient0_0.157_amd64.deb
  to main/c/cdebconf/libdebconfclient0_0.157_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 451130@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Regis Boudin <regis@debian.org> (supplier of updated cdebconf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 10 Aug 2011 18:50:48 +0100
Source: cdebconf
Binary: cdebconf cdebconf-gtk libdebconfclient0 libdebconfclient0-dev cdebconf-udeb cdebconf-priority libdebconfclient0-udeb cdebconf-text-udeb cdebconf-slang-udeb cdebconf-newt-udeb cdebconf-gtk-udeb
Architecture: source all amd64
Version: 0.157
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Regis Boudin <regis@debian.org>
Description: 
 cdebconf   - Debian Configuration Management System (C-implementation)
 cdebconf-gtk - Gtk+ frontend for Debian Configuration Management System
 cdebconf-gtk-udeb - Gtk+ frontend for Debian Configuration Management System (udeb)
 cdebconf-newt-udeb - Newt frontend for Debian Configuration Management System (udeb)
 cdebconf-priority - Change debconf priority (udeb)
 cdebconf-slang-udeb - S-Lang frontend for Debian Configuration Management System (udeb)
 cdebconf-text-udeb - Plain text frontend for Debian Configuration Management System (udeb)
 cdebconf-udeb - Debian Configuration Management System (C-implementation) (udeb)
 libdebconfclient0 - Debian Configuration Management System (C-implementation library)
 libdebconfclient0-dev - Development files for cdebconf
 libdebconfclient0-udeb - Debian Configuration Management System (C-implementation) (udeb)
Closes: 442293 451130 537536
Changes: 
 cdebconf (0.157) unstable; urgency=low
 .
   [ Regis Boudin ]
   * Switch to dpkg format 3.0 native.
   * Add build-arch and build-indep targets to debian/rules.
   * Bump Standards-Version to 3.9.2.
   * Stop passing -ldl when linking libdebconfclient, unneeded.
   * Try to create the database files if they don't exist. Closes: #451130.
   * Only link libdebconf.so to libtextwrap, not the applications. However, if
     enabled, explicitly link the newt module to it, instead of resolving the
     symbols indirectly through libdebconf.so.
   * Make debconf --priority actually set the priority.
   * Give live libdebconfclient0 a different short description, making lintian
     happier.
   * Fix dpkg-reconfigure to pass parameters again when calling scripts.
   * Implement dpkg-preconfigure (Closes: #442293).
   * Improve detection of the package name, automatically load the .templates
     file, and run the .config file is they exist. Closes: #537536.
   * Fix memory leak in text frontend.
   * Rework setting of values while running with a frontend, to use debconf-
     relevant settings (e.g. debconf/priority or debconf/frontend).
   * Fix naming collision between handlers in the frontends shared objects.
   * Rework frontend loading to enable change while running, and be more robust.
 .
   [ Colin Watson ]
   * Emit slightly more compact error messages for unknown localised fields.
Checksums-Sha1: 
 efd3c44346bbad92179386576a938c066bfb27f4 1412 cdebconf_0.157.dsc
 b754cb0a4894d3f48813d98747dfc7aeaa01e9e5 351760 cdebconf_0.157.tar.gz
 df093eb78d6161c1a36b39378c83ef154bda974b 2956 cdebconf-priority_0.157_all.udeb
 273ffab85f541d17e52a352f903eb26825943105 173818 cdebconf_0.157_amd64.deb
 c6de80c72671469a07e1c667720c4ce3f899431c 71314 cdebconf-gtk_0.157_amd64.deb
 200ed59f5d8f5d81445c7379958f9c30664b32b2 42846 libdebconfclient0_0.157_amd64.deb
 58d31a01286e1139be1ba3183ab1752603d61354 47956 libdebconfclient0-dev_0.157_amd64.deb
 508220f54dc7ec5be54e0b1b3ab944b7eb9ae584 86388 cdebconf-udeb_0.157_amd64.udeb
 283fc9f806b90025bdb35f9c8f392d126d16995e 3428 libdebconfclient0-udeb_0.157_amd64.udeb
 180e3c2160eaf2d806133a8ee1a36b4283901519 22224 cdebconf-text-udeb_0.157_amd64.udeb
 049a2b70bc14991c16e96ac043e63b11ea12c192 20880 cdebconf-newt-udeb_0.157_amd64.udeb
 6d66b88eb9ee91d9961e3faab5db3c174cd1ef52 33116 cdebconf-gtk-udeb_0.157_amd64.udeb
Checksums-Sha256: 
 03d85b45fc85f4aafe493f0c39ae25de6a0ebe8fd56c4bf9140daa5ca3053699 1412 cdebconf_0.157.dsc
 b059b50eb327b03eb22f836f87e1b7456c2b3a4948b943fe35ed1bc61bfce493 351760 cdebconf_0.157.tar.gz
 1bde52241d0e6f5dbb51b2fb44a258e71a7e31b721cd6e47667d9a774c04f314 2956 cdebconf-priority_0.157_all.udeb
 7ca50bc03af80d937b47937e2c39dcf8ea4d4fedf495e4aa491a359bf2d60f05 173818 cdebconf_0.157_amd64.deb
 7f3c6b4e8193dacd455e3759b442ac9b57e621059cd512f4de2e5bb33192d253 71314 cdebconf-gtk_0.157_amd64.deb
 67c7a09c731915f462ac61513e06304eca2ff9ed3e346cb599eeabac93120fce 42846 libdebconfclient0_0.157_amd64.deb
 b63c4597b528cc928672c32ae498c8756ebc04b133dccc258705ed9a1b803795 47956 libdebconfclient0-dev_0.157_amd64.deb
 6305c411efcaf5178033fec2674893cdb2a230e14cbf35821d38519312b24ede 86388 cdebconf-udeb_0.157_amd64.udeb
 7cfda662d5c1550af051a7843a2f3507394298b2553502a5acc6ab02428e483a 3428 libdebconfclient0-udeb_0.157_amd64.udeb
 c7d7d1e6077a74f57f3b71f5f4ec030453d6518d49039a42b5e848b5f6899683 22224 cdebconf-text-udeb_0.157_amd64.udeb
 cff75facafb97929bb379278b10234473abc308d606c9d7a09a1cd16c978bdae 20880 cdebconf-newt-udeb_0.157_amd64.udeb
 fc86f00f62b283af7182bf568219d168d1f0be3f712391a14dfefdb28fcf1eec 33116 cdebconf-gtk-udeb_0.157_amd64.udeb
Files: 
 173f4c1cb9f79fa0fb832fe8bb702382 1412 utils optional cdebconf_0.157.dsc
 75743f56826649ee1dc7f24cb02d5bff 351760 utils optional cdebconf_0.157.tar.gz
 1ae07c0deba3e0fb910cda10cfbee102 2956 debian-installer standard cdebconf-priority_0.157_all.udeb
 cf388046eafba1fd88e8c777d435243a 173818 utils extra cdebconf_0.157_amd64.deb
 6f0ec653436a1e9ae74200817ab9a2a5 71314 admin optional cdebconf-gtk_0.157_amd64.deb
 a1cf18086f0dd0f33703071e264e7044 42846 libs optional libdebconfclient0_0.157_amd64.deb
 6a362be8ffe55058319c03780869d9c1 47956 libdevel optional libdebconfclient0-dev_0.157_amd64.deb
 0109f1d8742eeba47dd6cdca9910813f 86388 debian-installer standard cdebconf-udeb_0.157_amd64.udeb
 3bfe53ca46391612c72e42472dcaf1a8 3428 debian-installer optional libdebconfclient0-udeb_0.157_amd64.udeb
 f73487595f5bb6330058945bde629432 22224 debian-installer optional cdebconf-text-udeb_0.157_amd64.udeb
 c3e607f2f88f6b3689e8770a456d9f91 20880 debian-installer optional cdebconf-newt-udeb_0.157_amd64.udeb
 49f2ff85cfb5d284c89011fdcbe70f9b 33116 debian-installer optional cdebconf-gtk-udeb_0.157_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk5CyiUACgkQVE17sLEtWVqa8wCg1TqCwnVwVmmPFkihDxGXSZQg
ywYAoMxx96UPJ2RD1rD1YIATS0beMIa+
=HBNV
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 20 Sep 2011 07:40:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:29:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.